DataStorage (The Data Transfer Scheduler DB interface 2.0.0-SNAPSHOT API)
Date: 2014-01-16

org.gcube.datatransfer.scheduler.db.model

## Class DataStorage

- java.lang.Object
- - org.gcube.datatransfer.scheduler.db.model.DataStorage

- All Implemented Interfaces:
    Serializable

      public class DataStorage
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `accessType`
    `String` | `owner`
    `String` | `serviceClass`
    `String` | `serviceName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataStorage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccessType()`
    `String` | `getDataStorageId()`
    `String` | `getDataStorageIdOfIS()`
    `String` | `getDataStorageLink()`
    `String` | `getDataStorageName()`
    `String` | `getDescription()`
    `String` | `getEndpoint()`
    `Long` | `getFreeSpace()`
    `String` | `getOwner()`
    `String` | `getPass()`
    `String` | `getPort()`
    `String` | `getServiceClass()`
    `String` | `getServiceName()`
    `String` | `getStatus()`
    `String` | `getType()`
    `String` | `getUsername()`
    `void` | `setAccessType(String accessType)`
    `void` | `setDataStorageId(String dataStorageId)`
    `void` | `setDataStorageIdOfIS(String dataStorageIdOfIS)`
    `void` | `setDataStorageLink(String dataStorageLink)`
    `void` | `setDataStorageName(String dataStorageName)`
    `void` | `setDescription(String description)`
    `void` | `setEndpoint(String endpoint)`
    `void` | `setFreeSpace(Long freeSpace)`
    `void` | `setOwner(String owner)`
    `void` | `setPass(String pass)`
    `void` | `setPort(String port)`
    `void` | `setServiceClass(String serviceClass)`
    `void` | `setServiceName(String serviceName)`
    `void` | `setStatus(String status)`
    `void` | `setType(String type)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### accessType

          public String accessType

    - #### owner

          public String owner

    - #### serviceClass

          public String serviceClass

    - #### serviceName

          public String serviceName

  - ### Constructor Detail

    - #### DataStorage

          public DataStorage()

  - ### Method Detail

    - #### getDataStorageId

          public String getDataStorageId()

    - #### setDataStorageId

          public void setDataStorageId(String dataStorageId)

    - #### getPort

          public String getPort()

    - #### setPort

          public void setPort(String port)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getDataStorageIdOfIS

          public String getDataStorageIdOfIS()

    - #### setDataStorageIdOfIS

          public void setDataStorageIdOfIS(String dataStorageIdOfIS)

    - #### getDataStorageName

          public String getDataStorageName()

    - #### setDataStorageName

          public void setDataStorageName(String dataStorageName)

    - #### getFreeSpace

          public Long getFreeSpace()

    - #### setFreeSpace

          public void setFreeSpace(Long freeSpace)

    - #### getEndpoint

          public String getEndpoint()

    - #### setEndpoint

          public void setEndpoint(String endpoint)

    - #### getPass

          public String getPass()

    - #### setPass

          public void setPass(String pass)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getAccessType

          public String getAccessType()

    - #### setAccessType

          public void setAccessType(String accessType)

    - #### getOwner

          public String getOwner()

    - #### setOwner

          public void setOwner(String owner)

    - #### getServiceClass

          public String getServiceClass()

    - #### setServiceClass

          public void setServiceClass(String serviceClass)

    - #### getServiceName

          public String getServiceName()

    - #### setServiceName

          public void setServiceName(String serviceName)

    - #### getDataStorageLink

          public String getDataStorageLink()

    - #### setDataStorageLink

          public void setDataStorageLink(String dataStorageLink)

Copyright © 2014. All Rights Reserved.